View Issue Details

IDProjectCategoryView StatusLast Update
15234Bug reportsSurvey editingpublic2021-01-28 16:27
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC4 
Fixed in Version4.4.0-RC3 
Summary15234: Default relevance hidden style is disabled not hidden
DescriptionWhen create a question with subquestion relevance, don't update `Array filter style ` : it use disabled.
Steps To ReproduceCreate a array question, with subquestion, Set 0 for relevance of one line, test.
(or import this lss (not checked) : in 1st i update, in 2nd i create and don't touch.
Additional InformationDefault in config.xml seems OK, but not set : https://github.com/LimeSurvey/LimeSurvey/blob/a4c5aa0f5dfb97e604b5d3f5b2dd8823c4b0f915/application/views/survey/questions/answer/arrays/5point/config.xml#L212
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database & DB-Versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Activities

DenisChenu

DenisChenu

2019-09-05 14:48

developer  

cdorin

cdorin

2020-12-23 17:53

manager   ~61131

I am not sure if I understand the issue - could you please tell me how to reproduce, Denis?
DenisChenu

DenisChenu

2020-12-24 09:52

developer   ~61155

Last edited: 2020-12-28 10:57

See screenshot (with included survey) : show hidden, but use disabled
cdorin

cdorin

2021-01-27 14:18

manager   ~61701

Hey Denis, unfortunately (or fortunately? :) ), I can reproduce the issue only with your .lss . So far, everything looks good locally for me.
DenisChenu

DenisChenu

2021-01-27 14:45

developer   ~61702

I think it's when array_filter_style is set to null

In 3.X : we don't save default value , in 4.X … we save default value , here import with value to null (not 0)
XML-with-issue.png (8,890 bytes)   
XML-with-issue.png (8,890 bytes)   
cdorin

cdorin

2021-01-27 17:24

manager   ~61703

hmm, how can you set it to null in 3.x?
I tried, but I couldn't do it (I replicated the issue only with your .lss) - have more info?
DenisChenu

DenisChenu

2021-01-27 17:42

developer   ~61707

In 3.X : array_filter_style are not exported … **and it's really the best solution**
I surely export this one with 4.2 or 4.3
DenisChenu

DenisChenu

2021-01-27 18:26

developer   ~61710

Test TSV : no it's OK (there are another issue)
DenisChenu

DenisChenu

2021-01-27 18:48

developer   ~61711

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30959
DenisChenu

DenisChenu

2021-01-27 18:49

developer   ~61712

4.4.0-RC**4**
lime_release_bot

lime_release_bot

2021-01-28 16:27

administrator   ~61754

Fixed in Release 4.4.0+210129

Related Changesets

LimeSurvey: master 5bfeaf05

2021-01-27 18:47:14

DenisChenu

Details Diff
Fixed issue 15234: Default relevance hidden style is disabled not hidden Affected Issues
15234
mod - application/helpers/expressions/em_manager_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-09-05 14:48 DenisChenu New Issue
2019-09-05 14:48 DenisChenu File Added: limesurvey_survey_array_filter_style-notset.lss
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2020-12-23 17:53 cdorin Note Added: 61131
2020-12-23 17:53 cdorin Status new => feedback
2020-12-24 09:52 DenisChenu Note Added: 61155
2020-12-24 09:52 DenisChenu File Added: Capture d’écran du 2020-12-24 09-51-33.png
2020-12-24 09:52 DenisChenu File Added: Capture d’écran du 2020-12-24 09-51-40.png
2020-12-24 09:52 DenisChenu Status feedback => new
2020-12-28 10:57 cdorin Priority none => normal
2020-12-28 10:57 cdorin Status new => confirmed
2021-01-27 14:18 cdorin Status confirmed => feedback
2021-01-27 14:18 cdorin Note Added: 61701
2021-01-27 14:45 DenisChenu Note Added: 61702
2021-01-27 14:45 DenisChenu File Added: XML-with-issue.png
2021-01-27 14:45 DenisChenu Status feedback => new
2021-01-27 17:24 cdorin Status new => feedback
2021-01-27 17:24 cdorin Note Added: 61703
2021-01-27 17:42 DenisChenu Note Added: 61707
2021-01-27 17:42 DenisChenu Status feedback => new
2021-01-27 18:26 DenisChenu Note Added: 61710
2021-01-27 18:33 DenisChenu Assigned To => DenisChenu
2021-01-27 18:33 DenisChenu Status new => assigned
2021-01-27 18:48 DenisChenu Changeset attached => LimeSurvey master 5bfeaf05
2021-01-27 18:48 DenisChenu Note Added: 61711
2021-01-27 18:48 DenisChenu Resolution open => fixed
2021-01-27 18:49 DenisChenu Status assigned => resolved
2021-01-27 18:49 DenisChenu Fixed in Version => 4.4.0-RC3
2021-01-27 18:49 DenisChenu Note Added: 61712
2021-01-28 16:27 lime_release_bot Note Added: 61754
2021-01-28 16:27 lime_release_bot Status resolved => closed